﻿using System; 
using System.Windows; 
using System.Windows.Data; 
using System.Globalization; 
using System.Diagnostics;

namespace SurfaceChartHighlight
{ 
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent(); 
            
            DataSource = this.Resources["Data"] as DataSource;
        }
        public DataSource DataSource { get; set; }

        private void DataGrid_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            foreach (var item in this.DataSource)
            {
                item.IsSelected = false;
            }
            var selectedPoint = this.DataGrid.SelectedDataItem as DataPoint;
            if (selectedPoint != null)
                selectedPoint.IsSelected = true; 
        }
 
    }

    public class BoolToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var isTrue = (bool)value;
            var visibility = isTrue ? Visibility.Visible : Visibility.Collapsed;
            Debug.WriteLine("Convert " + isTrue + " to " + visibility);
            return visibility;
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    } 
}

 